<id>
din1031:ThankYou
</id>

<version>
1.0.3
</version>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
				b.ID_THEME, b.override_theme, b.permission_mode, b.countPosts
</search for>

<replace>
				b.thank_you_automatic,
				b.ID_THEME, b.override_theme, b.permission_mode, b.countPosts
</replace>

<search for>
				'name' => $row['bname'],
				'description' => $row['description'],
</search for>

<replace>
				'name' => $row['bname'],
				'description' => $row['description'],
				'thank_you_automatic' => !empty($row['thank_you_automatic']),
</replace>

<edit file>
$sourcedir/ManageBoards.php
</edit file>

<search for>
			'count_posts' => 1,
</search for>

<replace>
			'count_posts' => 1,
			'thank_you_automatic' => 0,
</replace>

<search for>
		$boardOptions['posts_count'] = isset($_POST['count']);
</search for>

<replace>
		$boardOptions['posts_count'] = isset($_POST['count']);
		$boardOptions['thank_you_automatic'] = isset($_POST['thank_you']);
</replace>

<edit file>
$sourcedir/Post.php
</edit file>

<search for>
	$context['is_new_topic'] = empty($topic);
</search for>

<replace>
   $context['thank_you_automatic'] = empty($topic) && $board_info['thank_you_automatic'] && !isset($_REQUEST['preview']);
	$context['is_new_topic'] = empty($topic);
</replace>

<edit file>
$sourcedir/Subs-Boards.php
</edit file>

<search for>
	if (isset($boardOptions['posts_count']))
		$boardUpdates[] = 'countPosts = ' . ($boardOptions['posts_count'] ? '0' : '1');
</search for>

<replace>
	if (isset($boardOptions['posts_count']))
		$boardUpdates[] = 'countPosts = ' . ($boardOptions['posts_count'] ? '0' : '1');

	// Okay Automatic Thank you?
	if (isset($boardOptions['thank_you_automatic']))
		$boardUpdates[] = 'thank_you_automatic = ' . ($boardOptions['thank_you_automatic'] ? '1' : '0');
</replace>

<search for>
			b.boardOrder, b.countPosts, b.memberGroups, b.ID_THEME, b.override_theme,
</search for>

<replace>
			b.boardOrder, b.countPosts, b.memberGroups, b.ID_THEME, b.override_theme,
			b.thank_you_automatic,
</replace>

<search for>
				'description' => $row['description'],
				'count_posts' => empty($row['countPosts']),
</search for>

<replace>
				'description' => $row['description'],
				'count_posts' => empty($row['countPosts']),
				'thank_you_automatic' => !empty($row['thank_you_automatic']),
</replace>

<edit file>
$languagedir/ManageBoards.english.php
</edit file>

<search for>
?>
</search for>

<add before>
$txt['mboards_thank_you_automatic'] = 'Automatic Thank You';
$txt['mboards_thank_you_automatic_desc'] = 'Each new generated thread becomes a "Add Thank You".';
</add before>

<edit file>
$themedir/ManageBoards.template.php
</edit file>

<search for>
								<td valign="top" align="right">
									<input type="checkbox" name="count" ', $context['board']['count_posts'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';
</search for>

<add after>

	// Here is the New Thank You Option for the Board Premissions
	echo '
							<tr>
								<td>
									<b>', $txt['mboards_thank_you_automatic'], '</b><br />
									', $txt['mboards_thank_you_automatic_desc'], '<br /><br />
								</td>
								<td valign="top" align="right">
									<input type="checkbox" name="thank_you" ', $context['board']['thank_you_automatic'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';
</add after>

<edit file>
$themedir/Post.template.php
</edit file>

<search for>
													', $context['can_Thank_you'] && empty($context['isThank_You']) ? '
													<tr>
														<td class="smalltext"><label for="check_thank_you"><input type="checkbox" name="add_thank_you" id="add_thank_you"' . ($context['add_thank_you'] ? ' checked="checked"' : '') . ' value="1" class="check" /> '.$txt['thank_you_after2'].'</label></td>
														<td class="smalltext"></td>
													</tr>' : '', '
</search for>

<replace>
													', $context['can_Thank_you'] && empty($context['isThank_You']) ? '
													<tr>
														<td class="smalltext"><label for="check_thank_you"><input type="checkbox" name="add_thank_you" id="add_thank_you"' . ($context['add_thank_you'] || $context['thank_you_automatic'] ? ' checked="checked"' : '') . ' value="1" class="check" /> '.$txt['thank_you_after2'].'</label></td>
														<td class="smalltext"></td>
													</tr>' : '', '
</replace>
