<id>
din1031:ThankYou
</id>

<version>
1.1.0
</version>

<edit file>
$boarddir/index.php
</edit file>

<search for>
		'thankyouremove' => array('ThankYou.php', 'thank_you_remove'),
</search for>

<add after>
		'thankyouremovedm' => array('ThankYou.php', 'thank_you_delete_id'),
</add after>

<edit file>
$sourcedir/Display.php
</edit file>

<search for>
			t.numReplies, t.numViews, t.locked, ms.subject, t.isSticky, t.ID_POLL, t.thank_you,
</search for>

<replace>
			t.numReplies, t.numViews, t.locked, ms.subject, t.isSticky, t.ID_POLL,
			t.thank_you,
</replace>

<search for>
	// Is this Thank You Topic?
	$context['isThankYou'] = empty($topicinfo['thank_you']) ? FALSE : allowedTo('thank_you_view') && ($topicinfo['thank_you'] == 1 || $topicinfo['thank_you'] == 2);
	$context['ThankYouLockStatus'] = empty($topicinfo['thank_you']) ? '1' : $topicinfo['thank_you'];
</search for>

<replace>
	// Is this Thank You Topic?
	$context['isThankYou'] = $board_info['thank_you_topics_enable'] && empty($topicinfo['thank_you']) ? false : allowedTo('thank_you_view') && ($topicinfo['thank_you'] == 1 || $topicinfo['thank_you'] == 2);
	$context['ThankYouLockStatus'] = empty($topicinfo['thank_you']) ? '1' : $topicinfo['thank_you'];
	$context['thank_you_topics_enable'] = $board_info['thank_you_topics_enable'];
</replace>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
				b.thank_you_automatic,
</search for>

<replace>
				b.thank_you_automatic, b.thank_you_topics_enable,
</replace>

<search for>
				'thank_you_automatic' => !empty($row['thank_you_automatic']),
</search for>

<replace>
				'thank_you_topics_enable' => !empty($row['thank_you_topics_enable']),
				'thank_you_automatic' => !empty($row['thank_you_automatic']) && !empty($row['thank_you_topics_enable']),
</replace>

<edit file>
$sourcedir/ManageBoards.php
</edit file>

<search for>
			'thank_you_automatic' => 0,
</search for>

<replace>
			'thank_you_automatic' => 0,
			'thank_you_topics_enable' => 0,
</replace>

<search for>
		$boardOptions['thank_you_automatic'] = isset($_POST['thank_you']);
</search for>

<replace>
		$boardOptions['thank_you_automatic'] = isset($_POST['thank_you']);
		$boardOptions['thank_you_topics_enable'] = isset($_POST['thank_you_topics_enable']);
</replace>

<edit file>
$sourcedir/ManagePermissions.php
</edit file>

<search for>
		'delete_own',
		'modify_own',
		'thank_you_post',
		'thank_you_add',
		'thank_you_lock',
		'thank_you_remove',
</search for>

<replace>
		'delete_own',
		'modify_own',
		'thank_you_post',
		'thank_you_add_own',
		'thank_you_add_any',
		'thank_you_lock_own',
		'thank_you_lock_any',
		'thank_you_remove_own',
		'thank_you_remove_any',
		'thank_you_remove_mem_own',
		'thank_you_remove_mem_any',
</replace>

<search for>
			'member_admin' => array(
				'moderate_forum' => false,
				'manage_membergroups' => false,
				'manage_permissions' => false,
				'manage_bans' => false,
				'send_mail' => false,
			),
			'thank_you' => array(
				'thank_you_view' => false,
				'thank_you_post' => false,
				'thank_you_add' => true,
				'thank_you_lock' => true,
				'thank_you_remove' => true,
			),
</search for>

<replace>
			'member_admin' => array(
				'moderate_forum' => false,
				'manage_membergroups' => false,
				'manage_permissions' => false,
				'manage_bans' => false,
				'send_mail' => false,
			),
</replace>

<search for>
			'notification' => array(
				'mark_any_notify' => false,
				'mark_notify' => false,
			),
</search for>

<replace>
			'notification' => array(
				'mark_any_notify' => false,
				'mark_notify' => false,
			),
			'thank_you' => array(
				'thank_you_view' => false,
				'thank_you_post' => false,
				'thank_you_add' => true,
				'thank_you_lock' => true,
				'thank_you_remove' => true,
				'thank_you_remove_mem' => true,
			),
</replace>

<edit file>
$sourcedir/Post.php
</edit file>

<search for>
		$context['can_Thank_you'] = allowedTo('thank_you_add_any') || ($ID_MEMBER == $ID_MEMBER_POSTER && allowedTo('thank_you_add_own'));
		$context['add_thank_you'] = !empty($_REQUEST['add_thank_you']);
</search for>

<replace>
		$context['can_Thank_you'] = $board_info['thank_you_topics_enable'] && (allowedTo('thank_you_add_any') || ($ID_MEMBER == $ID_MEMBER_POSTER && allowedTo('thank_you_add_own')));
		$context['add_thank_you'] = !empty($_REQUEST['add_thank_you']);
</replace>

<edit file>
$sourcedir/Security.php
</edit file>

<search for>
			'thank_you_post',
			'thank_you_add_own', 'thank_you_add_any',
			'thank_you_lock_own', 'thank_you_lock_any',
			'thank_you_remove_own', 'thank_you_remove_any',
</search for>

<add after>
			'thank_you_remove_mem_own', 'thank_you_remove_mem_any',
</add after>


<edit file>
$sourcedir/Subs-Boards.php
</edit file>

<search for>
	// Okay Automatic Thank you?
	if (isset($boardOptions['thank_you_automatic']))
		$boardUpdates[] = 'thank_you_automatic = ' . ($boardOptions['thank_you_automatic'] ? '1' : '0');
</search for>

<replace>
	// Okay Automatic Thank you?
	if (isset($boardOptions['thank_you_automatic']))
		$boardUpdates[] = 'thank_you_automatic = ' . ($boardOptions['thank_you_automatic'] ? '1' : '0');

	// Okay Thank you enabled?
	if (isset($boardOptions['thank_you_topics_enable']))
		$boardUpdates[] = 'thank_you_topics_enable = ' . ($boardOptions['thank_you_topics_enable'] ? '1' : '0');
</replace>

<search for>
			b.thank_you_automatic,
</search for>

<replace>
			b.thank_you_automatic, b.thank_you_topics_enable,
</replace>

<search for>
				'thank_you_automatic' => !empty($row['thank_you_automatic']),
</search for>

<replace>
				'thank_you_automatic' => !empty($row['thank_you_automatic']),
				'thank_you_topics_enable' => !empty($row['thank_you_topics_enable']),
</replace>

<edit file>
$themedir/ManageBoards.template.php
</edit file>

<search for>
	// Here is the New Thank You Option for the Board Premissions
	echo '
							<tr>
								<td>
									<b>', $txt['mboards_thank_you_automatic'], '</b><br />
									', $txt['mboards_thank_you_automatic_desc'], '<br /><br />
								</td>
								<td valign="top" align="right">
									<input type="checkbox" name="thank_you" ', $context['board']['thank_you_automatic'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';
</search for>

<add before>
	// Here is the Thank You Option for the enable of the Thank you in this board!
	echo '
							<tr>
								<td>
									<b>', $txt['mboards_thank_you_topics_enable'], '</b><br />
									', $txt['mboards_thank_you_topics_enable_desc'], '<br /><br />
								</td>
								<td valign="top" align="right">
									<input type="checkbox" name="thank_you_topics_enable" ', $context['board']['thank_you_topics_enable'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';
</add before>

<edit file>
$languagedir/index.english.php
</edit file>

<search for>
$txt['d_thank_you'] = 'Thank You';
</search for>

<add after>
$txt['d_no_thank_you_board'] = 'The option for Thank you has been diabled for this board!';
$txt['d_remove_thank_you_mem'] = 'Delete this member from the Thank You list?';
$txt['d_remove_thank_no_id'] = 'Thank You ID not found!';
</add after>

<edit file>
$languagedir/ManagePermissions.english.php
</edit file>

<search for>
$txt['permissionname_thank_you_remove_any'] = 'Any Thank You';
</search for>

<add after>
$txt['permissionname_thank_you_remove_mem'] = 'Delete Thank You User';
$txt['permissionhelp_thank_you_remove_mem'] = 'Allow a user to Delete a single Thank You user from the Thank You List';
$txt['permissionname_thank_you_remove_mem_own'] = 'Own';
$txt['permissionname_thank_you_remove_mem_any'] = 'Any Member';
</add after>

<edit file>
$languagedir/ManageBoards.english.php
</edit file>

<search for>
$txt['mboards_thank_you_automatic_desc'] = 'Each new generated thread becomes a "Add Thank You".';
</search for>

<add after>
$txt['mboards_thank_you_topics_enable'] = 'Enable Thank You for this Board';
$txt['mboards_thank_you_topics_enable_desc'] = 'Enable the Thank You for this board.';
</add after>

<edit file>
$sourcedir/ThankYou.php
</edit file>

<search for>
		thank_you_addfast($topicid = NULL) 
		- 1.1 RC+ Add a thank you as topic Option
		- return false on nothing done
</search for>

<replace>
		thank_you_addfast($topicid = NULL) 
		- 1.1 RC+ Add a thank you as topic Option
		- return false on nothing done

		thank_you_delete_id();
		- Delete a selected id from the list
		- session get must be set!
</replace>

<search for>
	//You must know only user who allowed to this schould use this function :P
	isAllowedTo('thank_you_post');
</search for>

<replace>
	//Is this board a Thank you board?
	if(!$board_info['thank_you_topics_enable'])
		fatal_error($txt['d_no_thank_you_board'], false);
	
	//You must know only user who allowed to this schould use this function :P
	isAllowedTo('thank_you_post');
</replace>

<search for>
	global $txt, $topic, $db_prefix, $ID_MEMBER;
</search for>

<replace>
	global $txt, $topic, $db_prefix, $ID_MEMBER, $board_info;
</replace>

<search for>
	//Check First the Premission :)
	if (!allowedTo('thank_you_add_own') && !allowedTo('thank_you_add_any'))
</search for>

<replace>
	//Is this board a Thank you board?
	if(!$board_info['thank_you_topics_enable'])
		fatal_error($txt['d_no_thank_you_board'], false);

	//Check First the Premission :)
	if (!allowedTo('thank_you_add_own') && !allowedTo('thank_you_add_any'))
</replace>

<search for>
	//Check First the Premission :)
	if (!allowedTo('thank_you_remove_own') && !allowedTo('thank_you_remove_any'))
</search for>

<replace>
	//Is this board a Thank you board?
	if(!$board_info['thank_you_topics_enable'])
		fatal_error($txt['d_no_thank_you_board'], false);
		
	//Check First the Premission :)
	if (!allowedTo('thank_you_remove_own') && !allowedTo('thank_you_remove_any'))
</replace>


<search for>
	//Oh your not allowed to do anything :P
	if(!allowedTo('thank_you_view'))
		return;
</search for>

<replace>
	//Is this board a Thank you board? {
	if(!$board_info['thank_you_topics_enable']) {
		//Oh this is not allowed when not enable this ;P
		$context['thank_you']['premission']['view'] = false;
		return;
	}
	//Oh your not allowed to do anything :P
	if(!allowedTo('thank_you_view'))
		return;
</replace>

<search for>
	foreach($id_collect as $id) {
		if(!empty($modSettings['Thank_You_AddCounter'])) {
			$thx_counttext = $thx_counter.'. ';
			if(empty($modSettings['Thank_You_UserOrder']))
				$thx_counter++;
			else
				$thx_counter--;
		}
		if(!isset($color_profile[$id]))
			$context['thank_you']['info'] .= $thx_counttext.$id_list[$id]['name'].', ';
		else {
			$profile = $color_profile[$id];
			if(!empty($modSettings['Thank_You_MemberColor']))
				$context['thank_you']['info'] .= '<a href="' . $scripturl . '?action=profile;u=' . $profile['ID_MEMBER'] . '" title="' . $txt[92] . ' ' . $profile['realName'] . '"><font color="'.(!empty($profile['member_group_color']) ? $profile['member_group_color'] : $profile['post_group_color']).'">' . $thx_counttext . $profile['realName'] . '</font></a>, ';
			else
				$context['thank_you']['info'] .= '<a href="' . $scripturl . '?action=profile;u=' . $profile['ID_MEMBER'] . '" title="' . $txt[92] . ' ' . $profile['realName'] . '">' . $thx_counttext . $profile['realName'] . '</a>, ';
		}
	}
</search for>

<replace>
	foreach($id_collect as $id_thx => $id) {
		//Build this only if allowed to it and yes if you think it's a good idea xD
		$delete_mem_link = allowedTo('thank_you_remove_mem_any') || (allowedTo('thank_you_remove_mem_own') && $ID_MEMBER == $id) ? ' <a href="'.$scripturl.'?action=thankyouremovedm;thxid='.$id_thx.';topic='.$topic.';sesc='.$context['session_id'].'" onclick="return confirm(\''.$txt['d_remove_thank_you_mem'].'?\');"><span style="color:red;">*</span></a>' : '';
		
		if(!empty($modSettings['Thank_You_AddCounter'])) {
			$thx_counttext = $thx_counter.'. ';
			if(empty($modSettings['Thank_You_UserOrder']))
				$thx_counter++;
			else
				$thx_counter--;
		}
		if(!isset($color_profile[$id]))
			$context['thank_you']['info'] .= $thx_counttext.$id_list[$id]['name'].$delete_mem_link.', ';
		else {
			$profile = $color_profile[$id];
			if(!empty($modSettings['Thank_You_MemberColor']))
				$context['thank_you']['info'] .= '<a href="' . $scripturl . '?action=profile;u=' . $profile['ID_MEMBER'] . '" title="' . $txt[92] . ' ' . $profile['realName'] . '"><span style="color:'.(!empty($profile['member_group_color']) ? $profile['member_group_color'] : $profile['post_group_color']).';">' . $thx_counttext . $profile['realName'] . '</span></a>'.$delete_mem_link.', ';
			else
				$context['thank_you']['info'] .= '<a href="' . $scripturl . '?action=profile;u=' . $profile['ID_MEMBER'] . '" title="' . $txt[92] . ' ' . $profile['realName'] . '">' . $thx_counttext . $profile['realName'] . '</a>'.$delete_mem_link.', ';
		}
	}
</replace>

<search for>
	//Check First the Premission :)
	if (!allowedTo('thank_you_lock_own') && !allowedTo('thank_you_lock_any'))
		fatal_lang_error(1, false);
</search for>

<replace>
	//Is this board a Thank you board?
	if(!$board_info['thank_you_topics_enable'])
		fatal_error($txt['d_no_thank_you_board'], false);
		
	//Check First the Premission :)
	if (!allowedTo('thank_you_lock_own') && !allowedTo('thank_you_lock_any'))
		fatal_lang_error(1, false);
</replace>

<search for>
?>
</search for>

<add befor>

//Delte user from the list...
function thank_you_delete_id() {

	global $txt, $topic, $db_prefix, $ID_MEMBER, $board_info;
	

	//Load some Languagefiles :)	
	loadLanguage('Errors');

	//Check teh Session
	checkSession('get');
	
	//Is this board a Thank you board?
	if(!$board_info['thank_you_topics_enable'])
		fatal_error($txt['d_no_thank_you_board'], false);
	
	if(empty($_GET['thxid']) || !is_numeric($_GET['thxid']) || $_GET['thxid'] < 1)
		fatal_error($txt['d_remove_thank_no_id'], false);
	else
		$_GET['thxid'] = (int) $_GET['thxid'];
	
	//OK Topic set?
	if(empty($topic))
		fatal_error($txt['topic_gone'], false);

	//Check First the Premission :)
	if (!allowedTo('thank_you_remove_mem_any') && !allowedTo('thank_you_remove_mem_own'))
		fatal_lang_error(1, false);

	//Okay allowed to delete any? if not than i must check first something :)
	if(!allowedTo('thank_you_remove_mem_any')) {
		//Check if topic has a Thank You (Return Error if Already set).
		$result = db_query("
			SELECT
				ID_TOPIC, ID_MEMBER
			FROM {$db_prefix}thank_you
			WHERE ID_THX = ".$_GET['thxid']." 
				AND ID_TOPIC = $topic
			LIMIT 1", __FILE__, __LINE__);

		$check = mysql_fetch_assoc($result);
		mysql_free_result($result);
		
		//Allowed?
		if($check['ID_MEMBER'] != $ID_MEMBER)
			fatal_lang_error(1, false);
	}
	 
	//Delete it...
	db_query("
	DELETE FROM {$db_prefix}thank_you
	WHERE ID_THX = ".$_GET['thxid']."
		AND ID_TOPIC = $topic
	LIMIT 1", __FILE__, __LINE__);		
	
	//Okay all done now Reddirect exit :)
	redirectexit('topic=' . $topic . '.0');
}
</add before>