<id>
din1031:ThankYou
</id>

<version>
1.2.3
</version>

<edit file>
$boarddir/index.php
</edit file>

<search for>
		'sticky' => array('LockTopic.php', 'Sticky'),
</search for>

<add after>
		'thankyouadd' => array('ThankYou.php', 'thank_you_add'),
		'thankyoulist' => array('ThankYou.php', 'thank_you_list'),
		'thankyoulock' => array('ThankYou.php', 'thank_you_lock'),
		'thankyoupost' => array('ThankYou.php', 'thank_you_post'),
		'thankyouremove' => array('ThankYou.php', 'thank_you_remove'),
		'thankyouremovedm' => array('ThankYou.php', 'thank_you_delete_id'),
</add after>

<edit file>
$sourcedir/Display.php
</edit file>

<search for>
			t.numReplies, t.numViews, t.locked, ms.subject, t.isSticky, t.ID_POLL,
</search for>

<add after>
			t.thank_you,
</add after>

<search for>
	// Is this topic sticky, or can it even be?
	$topicinfo['isSticky'] = empty($modSettings['enableStickyTopics']) ? '0' : $topicinfo['isSticky'];
</search for>

<replace>
	// Is this topic sticky, or can it even be?
	$topicinfo['isSticky'] = empty($modSettings['enableStickyTopics']) ? '0' : $topicinfo['isSticky'];

	// Is this Thank You Topic?
	$context['isThankYou'] = $board_info['thank_you_topics_enable'] && empty($topicinfo['thank_you']) ? false : allowedTo('thank_you_view') && ($topicinfo['thank_you'] == 1 || $topicinfo['thank_you'] == 2);
	$context['ThankYouLockStatus'] = empty($topicinfo['thank_you']) ? '1' : $topicinfo['thank_you'];
	$context['thank_you_topics_enable'] = $board_info['thank_you_topics_enable'];
</replace>

<search for>
	$messages = array();
	$posters = array();
</search for>

<add after>
	$first_msg_found = FALSE;
</add after>

<search for>
		if (!empty($row['ID_MEMBER']))
			$posters[] = $row['ID_MEMBER'];
		$messages[] = $row['ID_MSG'];
</search for>

<add after>
		//First Message in this list?
		if(!$first_msg_found)
			$first_msg_found = $context['topic_first_message'] == $row['ID_MSG'];
</add after>

<search for>
	$posters = array_unique($posters);

	$attachments = array();
</search for>

<add after>

	//Load The Thank You infomations :)
	require_once($sourcedir . '/ThankYou.php');
	//Okay This is not the First Page so i need only Settings ;)

	if(!$first_msg_found || !$context['isThankYou']) {
		thank_you_loadPremission();
		$context['isThankYou'] = FALSE;
	}
	//Oh the First Page :) Nice here i must add this tiny little list or the link :)
	else
		$context['isThankYou'] = thank_you_list(FALSE);
</add after>

<search for>
	// Do the censor thang.
	censorText($message['body']);
	censorText($message['subject']);
</search for>

<add before>
	//Let's see if you use leafs hide post... i do like it's disabled xD *bwuhahaha*
	if(!empty($modSettings['Thank_You_ShowHidePostReply']) && !empty($modSettings['allow_hiddenPost']) && isset($context['user_post_avaible_leafv']) && isset($message['hiddenOption']) && $message['hiddenOption'] == 2) {
		$message['hiddenOption'] = $context['user_post_avaible_leafv'] == 1 ? 0 : $message['hiddenOption'];
	}

</add before>

<search for>
	if (empty($options['view_newest_first']))
		$counter++;
</search for>

<add before>
	//I only add to the first post a Thank You List or the link (at the bottom of the post *grin*)
	if($counter == 0 && $context['isThankYou']) {
		$output['body'] .= doUBBC('[hr]', FALSE).'<font size="1"><span class="smalltext">'.$context['thank_you']['info'].'</span></font>';
	}

</add before>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
				b.ID_THEME, b.override_theme, b.permission_mode, b.countPosts
</search for>

<add before>
				b.thank_you_automatic, b.thank_you_topics_enable,
</add before>

<search for>
				'name' => $row['bname'],
				'description' => $row['description'],
</search for>

<replace>
				'name' => $row['bname'],
				'description' => $row['description'],
				'thank_you_topics_enable' => !empty($row['thank_you_topics_enable']),
				'thank_you_automatic' => !empty($row['thank_you_automatic']) && !empty($row['thank_you_topics_enable']),
</replace>

<edit file>
$sourcedir/ManageBoards.php
</edit file>

<search for>
			'count_posts' => 1,
</search for>

<replace>
			'count_posts' => 1,
			'thank_you_automatic' => 0,
			'thank_you_topics_enable' => 0,
</replace>

<search for>
		$boardOptions['posts_count'] = isset($_POST['count']);
</search for>

<replace>
		$boardOptions['posts_count'] = isset($_POST['count']);
		$boardOptions['thank_you_automatic'] = isset($_POST['thank_you']);
		$boardOptions['thank_you_topics_enable'] = isset($_POST['thank_you_topics_enable']);
</replace>

<edit file>
$sourcedir/ManagePermissions.php
</edit file>

<search for>
		'delete_own',
		'modify_own',
</search for>

<add after>
		'thank_you_post',
		'thank_you_add_own',
		'thank_you_add_any',
		'thank_you_lock_own',
		'thank_you_lock_any',
		'thank_you_remove_own',
		'thank_you_remove_any',
		'thank_you_remove_mem_own',
		'thank_you_remove_mem_any',
</add after>

<search for>
			'notification' => array(
				'mark_any_notify' => false,
				'mark_notify' => false,
			),
</search for>

<replace>
			'notification' => array(
				'mark_any_notify' => false,
				'mark_notify' => false,
			),
			'thank_you' => array(
				'thank_you_view' => false,
				'thank_you_post' => false,
				'thank_you_add' => true,
				'thank_you_lock' => true,
				'thank_you_remove' => true,
				'thank_you_remove_mem' => true,
			),
</replace>

<search for>
		'mark_any_notify',
		'mark_notify',
		'admin_forum',
</search for>

<replace>
		'thank_you_post',
		'thank_you_add',
		'thank_you_lock',
		'thank_you_remove',
		'mark_any_notify',
		'mark_notify',
		'admin_forum',
</replace>

<edit file>
$sourcedir/ModSettings.php
</edit file>

<search for>
			'layout' => array(
				'title' => $txt['mods_cat_layout'],
				'href' => $scripturl . '?action=featuresettings;sa=layout;sesc=' . $context['session_id'],
			),
</search for>

<replace>
			'layout' => array(
				'title' => $txt['mods_cat_layout'],
				'href' => $scripturl . '?action=featuresettings;sa=layout;sesc=' . $context['session_id'],
			),
			'ThankYou' => array(
				'title' => $txt['Thank_You_Headline'],
				'href' => $scripturl . '?action=featuresettings;sa=ThankYou;sesc=' . $context['session_id'],
			),
</replace>

<search for>
		'layout' => 'ModifyLayoutSettings',
</search for>

<replace>
		'layout' => 'ModifyLayoutSettings',
		'ThankYou' => 'ModifyThankYouSettings',
</replace>

<search for>
	$context['post_url'] = $scripturl . '?action=featuresettings2;save;sa=karma';
	$context['settings_title'] = $txt['smf293'];

	prepareDBSettingContext($config_vars);
}
</search for>

<add after>
function ModifyThankYouSettings()
{
	global $txt, $scripturl, $context, $settings, $sc;

	$config_vars = array(
			//Thank you User Settings?
			array('check', 'Thank_You_UserOrder'),
			array('check', 'Thank_You_MemberColor'),
			array('check', 'Thank_You_AddCounter'),
		'',
			//ThankYouList or not ;)
			array('check', 'Thank_You_LinkListOnly'),
			array('check', 'Thank_You_AddLink'),
			array('int', 'Thank_You_UserPreview'),
		'',
			//HideMod DIN1031 Version
			array('check', 'Thank_You_ShowHidden'),
			//HideMod Leaf Version
			array('check', 'Thank_You_ShowHidePostReply'),
	);

	// Saving?
	if (isset($_GET['save']))
	{
		saveDBSettings($config_vars);
		redirectexit('action=featuresettings;sa=ThankYou');
	}

	$context['post_url'] = $scripturl . '?action=featuresettings2;save;sa=ThankYou';
	$context['settings_title'] = $txt['Thank_You_Headline'];

	prepareDBSettingContext($config_vars);
}
</add after>

<edit file>
$sourcedir/Post.php
</edit file>

<search for>
				t.locked, IFNULL(ln.ID_TOPIC, 0) AS notify, t.isSticky, t.ID_POLL, t.numReplies, mf.ID_MEMBER,
</search for>

<replace>
				t.locked, IFNULL(ln.ID_TOPIC, 0) AS notify, t.isSticky, t.ID_POLL, t.numReplies, mf.ID_MEMBER, t.thank_you,
</replace>

<search for>
		list ($locked, $context['notify'], $sticky, $pollID, $context['num_replies'], $ID_MEMBER_POSTER, $ID_FIRST_MSG, $first_subject, $lastPostTime) = mysql_fetch_row($request);
</search for>

<replace>
		list ($locked, $context['notify'], $sticky, $pollID, $context['num_replies'], $ID_MEMBER_POSTER, $context['isThank_You'], $ID_FIRST_MSG, $first_subject, $lastPostTime) = mysql_fetch_row($request);
</replace>

<search for>
		$context['can_lock'] = allowedTo('lock_any') || ($ID_MEMBER == $ID_MEMBER_POSTER && allowedTo('lock_own'));
		$context['can_sticky'] = allowedTo('make_sticky') && !empty($modSettings['enableStickyTopics']);
</search for>

<replace>
		$context['can_lock'] = allowedTo('lock_any') || ($ID_MEMBER == $ID_MEMBER_POSTER && allowedTo('lock_own'));
		$context['can_sticky'] = allowedTo('make_sticky') && !empty($modSettings['enableStickyTopics']);
		$context['can_Thank_you'] = $board_info['thank_you_topics_enable'] && (allowedTo('thank_you_add_any') || ($ID_MEMBER == $ID_MEMBER_POSTER && allowedTo('thank_you_add_own')));
		$context['add_thank_you'] = !empty($_REQUEST['add_thank_you']);
</replace>

<search for>
		$context['can_lock'] = allowedTo(array('lock_any', 'lock_own'));
		$context['can_sticky'] = allowedTo('make_sticky') && !empty($modSettings['enableStickyTopics']);
</search for>

<replace>
		$context['can_lock'] = allowedTo(array('lock_any', 'lock_own'));
		$context['can_sticky'] = allowedTo('make_sticky') && !empty($modSettings['enableStickyTopics']);
		$context['can_Thank_you'] = allowedTo(array('thank_you_add_any', 'thank_you_add_own'));
</replace>

<search for>
		$context['notify'] = !empty($context['notify']);
		$context['sticky'] = !empty($_REQUEST['sticky']);
</search for>

<replace>
		$context['notify'] = !empty($context['notify']);
		$context['sticky'] = !empty($_REQUEST['sticky']);
		$context['add_thank_you'] = !empty($_REQUEST['add_thank_you']);
</replace>

<search for>
	$context['is_new_topic'] = empty($topic);
</search for>

<replace>
	if(isset($board_info['thank_you_automatic']))
		$context['thank_you_automatic'] = empty($topic) && $board_info['thank_you_automatic'] && !isset($_REQUEST['preview']);
	else
		$context['thank_you_automatic'] = false;
	$context['is_new_topic'] = empty($topic);
</replace>

<search for>
		$request = db_query("
			SELECT t.locked, t.isSticky, t.ID_POLL, t.numReplies, m.ID_MEMBER
			FROM ({$db_prefix}topics AS t, {$db_prefix}messages AS m)
			WHERE t.ID_TOPIC = $topic
				AND m.ID_MSG = t.ID_FIRST_MSG
			LIMIT 1", __FILE__, __LINE__);
		list ($tmplocked, $tmpstickied, $pollID, $numReplies, $ID_MEMBER_POSTER) = mysql_fetch_row($request);
		mysql_free_result($request);
</search for>

<replace>
		$request = db_query("
			SELECT t.locked, t.isSticky, t.ID_POLL, t.numReplies, m.ID_MEMBER, t.thank_you
			FROM ({$db_prefix}topics AS t, {$db_prefix}messages AS m)
			WHERE t.ID_TOPIC = $topic
				AND m.ID_MSG = t.ID_FIRST_MSG
			LIMIT 1", __FILE__, __LINE__);
		list ($tmplocked, $tmpstickied, $pollID, $numReplies, $ID_MEMBER_POSTER, $add_thank_you) = mysql_fetch_row($request);
		mysql_free_result($request);
</replace>

<search for>
		if (isset($_POST['sticky']) && (empty($modSettings['enableStickyTopics']) || empty($_POST['sticky']) || !allowedTo('make_sticky')))
			unset($_POST['sticky']);
</search for>

<replace>
		if (isset($_POST['sticky']) && (empty($modSettings['enableStickyTopics']) || empty($_POST['sticky']) || !allowedTo('make_sticky')))
			unset($_POST['sticky']);
		//Add Thank You to the Topic?
		if (isset($_POST['add_thank_you']) && !allowedTo(array('thank_you_add_any', 'thank_you_add_own')))
			unset($_POST['add_thank_you']);
</replace>

<search for>
			SELECT
				m.ID_MEMBER, m.posterName, m.posterEmail, m.posterTime,
</search for>

<replace>
			SELECT
				m.ID_MEMBER, m.posterName, m.posterEmail, m.posterTime, t.thank_you,
</replace>

<search for>
		// Change the sticky status of this topic?
		if (isset($_POST['sticky']) && (!allowedTo('make_sticky') || $_POST['sticky'] == $row['isSticky']))
			unset($_POST['sticky']);

		if ($row['ID_MEMBER'] == $ID_MEMBER && !allowedTo('modify_any'))
</search for>

<replace>
		// Change the sticky status of this topic?
		if (isset($_POST['sticky']) && (!allowedTo('make_sticky') || $_POST['sticky'] == $row['isSticky']))
			unset($_POST['sticky']);
		//Change the Thank YOu of the Topic?
		if (isset($_POST['add_thank_you']) && !empty($row['thank_you']) && !(allowedTo('thank_you_add_any') || ($ID_MEMBER == $ID_MEMBER_POSTER && allowedTo('thank_you_add_own'))))
			unset($_POST['add_thank_you']);

		if ($row['ID_MEMBER'] == $ID_MEMBER && !allowedTo('modify_any'))
</replace>

<search for>
		'sticky_mode' => isset($_POST['sticky']) && !empty($modSettings['enableStickyTopics']) ? (int) $_POST['sticky'] : null,
</search for>

<replace>
		'sticky_mode' => isset($_POST['sticky']) && !empty($modSettings['enableStickyTopics']) ? (int) $_POST['sticky'] : null,
		'thank_you_mode' => isset($_POST['add_thank_you']),
</replace>

<edit file>
$sourcedir/Security.php
</edit file>

<search for>
			'poll_post',
			'poll_add_own', 'poll_add_any',
			'poll_edit_own', 'poll_edit_any',
			'poll_lock_own', 'poll_lock_any',
			'poll_remove_own', 'poll_remove_any',
</search for>

<replace>
			'poll_post',
			'poll_add_own', 'poll_add_any',
			'poll_edit_own', 'poll_edit_any',
			'poll_lock_own', 'poll_lock_any',
			'poll_remove_own', 'poll_remove_any',
			'thank_you_post',
			'thank_you_add_own', 'thank_you_add_any',
			'thank_you_lock_own', 'thank_you_lock_any',
			'thank_you_remove_own', 'thank_you_remove_any',
			'thank_you_remove_mem_own', 'thank_you_remove_mem_any',
</replace>

<edit file>
$sourcedir/Subs-Boards.php
</edit file>

<search for>
	if (isset($boardOptions['posts_count']))
		$boardUpdates[] = 'countPosts = ' . ($boardOptions['posts_count'] ? '0' : '1');
</search for>

<replace>
	if (isset($boardOptions['posts_count']))
		$boardUpdates[] = 'countPosts = ' . ($boardOptions['posts_count'] ? '0' : '1');

	// Okay Automatic Thank you?
	if (isset($boardOptions['thank_you_automatic']))
		$boardUpdates[] = 'thank_you_automatic = ' . ($boardOptions['thank_you_automatic'] ? '1' : '0');

	// Okay Thank you enabled?
	if (isset($boardOptions['thank_you_topics_enable']))
		$boardUpdates[] = 'thank_you_topics_enable = ' . ($boardOptions['thank_you_topics_enable'] ? '1' : '0');
</replace>

<search for>
			b.boardOrder, b.countPosts, b.memberGroups, b.ID_THEME, b.override_theme,
</search for>

<replace>
			b.boardOrder, b.countPosts, b.memberGroups, b.ID_THEME, b.override_theme,
			b.thank_you_automatic, b.thank_you_topics_enable,
</replace>

<search for>
				'description' => $row['description'],
				'count_posts' => empty($row['countPosts']),
</search for>

<replace>
				'description' => $row['description'],
				'count_posts' => empty($row['countPosts']),
				'thank_you_automatic' => !empty($row['thank_you_automatic']),
				'thank_you_topics_enable' => !empty($row['thank_you_topics_enable']),
</replace>

<edit file>
$sourcedir/Subs-Post.php
</edit file>

<search for>
	$msgOptions['attachments'] = empty($msgOptions['attachments']) ? array() : $msgOptions['attachments'];
	$topicOptions['id'] = empty($topicOptions['id']) ? 0 : (int) $topicOptions['id'];
	$topicOptions['poll'] = isset($topicOptions['poll']) ? (int) $topicOptions['poll'] : null;
	$topicOptions['lock_mode'] = isset($topicOptions['lock_mode']) ?  $topicOptions['lock_mode'] : null;
	$topicOptions['sticky_mode'] = isset($topicOptions['sticky_mode']) ? $topicOptions['sticky_mode'] : null;
</search for>

<add after>
	$topicOptions['thank_you_mode'] = isset($topicOptions['thank_you_mode']) ? $topicOptions['thank_you_mode'] : FALSE;
</add after>

<search for>
	// Creating is modifying...in a way.
	db_query("
		UPDATE {$db_prefix}messages
		SET ID_MSG_MODIFIED = $msgOptions[id]
		WHERE ID_MSG = $msgOptions[id]", __FILE__, __LINE__);
</search for>

<replace>
	//Correct the thank you if set :)
	if(!empty($topicOptions['id']) && $topicOptions['thank_you_mode']) {
		global $sourcedir;
		include_once($sourcedir.'/ThankYou.php');
		thank_you_addfast($topicOptions['id']);
	}

	// Creating is modifying...in a way.
	db_query("
		UPDATE {$db_prefix}messages
		SET ID_MSG_MODIFIED = $msgOptions[id]
		WHERE ID_MSG = $msgOptions[id]", __FILE__, __LINE__);
</replace>

<search for>
	$topicOptions['poll'] = isset($topicOptions['poll']) ? (int) $topicOptions['poll'] : null;
	$topicOptions['lock_mode'] = isset($topicOptions['lock_mode']) ? $topicOptions['lock_mode'] : null;
	$topicOptions['sticky_mode'] = isset($topicOptions['sticky_mode']) ? $topicOptions['sticky_mode'] : null;

	// This is longer than it has to be, but makes it so we only set/change what we have to.
</search for>

<replace>
	$topicOptions['poll'] = isset($topicOptions['poll']) ? (int) $topicOptions['poll'] : null;
	$topicOptions['lock_mode'] = isset($topicOptions['lock_mode']) ? $topicOptions['lock_mode'] : null;
	$topicOptions['sticky_mode'] = isset($topicOptions['sticky_mode']) ? $topicOptions['sticky_mode'] : null;
	$topicOptions['thank_you_mode'] = isset($topicOptions['thank_you_mode']) ? $topicOptions['thank_you_mode'] : FALSE;

	// This is longer than it has to be, but makes it so we only set/change what we have to.
</replace>

<search for>
	if ($topicOptions['sticky_mode'] !== null || $topicOptions['lock_mode'] !== null || $topicOptions['poll'] !== null)
	{
		db_query("
			UPDATE {$db_prefix}topics
			SET
				isSticky = " . ($topicOptions['sticky_mode'] === null ? 'isSticky' : $topicOptions['sticky_mode']) . ",
				locked = " . ($topicOptions['lock_mode'] === null ? 'locked' : $topicOptions['lock_mode']) . ",
				ID_POLL = " . ($topicOptions['poll'] === null ? 'ID_POLL' : $topicOptions['poll']) . "
			WHERE ID_TOPIC = $topicOptions[id]
			LIMIT 1", __FILE__, __LINE__);
	}
</search for>

<replace>
	if ($topicOptions['sticky_mode'] !== null || $topicOptions['lock_mode'] !== null || $topicOptions['poll'] !== null || $topicOptions['thank_you_mode'])
	{
		db_query("
			UPDATE {$db_prefix}topics
			SET
				isSticky = " . ($topicOptions['sticky_mode'] === null ? 'isSticky' : $topicOptions['sticky_mode']) . ",
				locked = " . ($topicOptions['lock_mode'] === null ? 'locked' : $topicOptions['lock_mode']) . ",
				ID_POLL = " . ($topicOptions['poll'] === null ? 'ID_POLL' : $topicOptions['poll']) . ",
				thank_you = " . ($topicOptions['thank_you_mode'] === FALSE ? 'thank_you' : '1') . "
			WHERE ID_TOPIC = $topicOptions[id]
			LIMIT 1", __FILE__, __LINE__);
	}
</replace>

<edit file>
$themedir/Display.template.php
</edit file>

<search for>
	else
		unset($normal_buttons['custom']);
</search for>

<add after>

	//Thank You Button is now where it belongs <<
	if (isset($context['thank_you']['premission'])) {
		if ($context['thank_you']['premission']['post'])
			$normal_buttons['thankyou'] = array('text' => 'd_thank_you', 'image' => 'thank_you.gif', 'lang' => true, 'url' => $scripturl . '?action=thankyoupost;topic=' . $context['current_topic'] . '.0');
		elseif ($context['thank_you']['premission']['add'])
			$normal_buttons['thankyou'] = array('text' => 'd_thank_you_add', 'image' => 'thank_you_add.gif', 'lang' => true, 'url' => $scripturl . '?action=thankyouadd;topic=' . $context['current_topic'] . '.0');
	}
</add after>

<search for>
	if ($context['can_remove_post'] && !empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1)
		$mod_buttons[] = array('text' => 'quickmod_delete_selected', 'image' => 'delete_selected.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['quickmod_confirm'] . '\');" id="quickmodSubmit"', 'url' => 'javascript:document.quickModForm.submit();');
</search for>

<add before>
	if (isset($context['thank_you']['premission']))
		$mod_buttons += array(
			'lock_thank_you' => array('test' => 'thank_you_lock', 'text' => 'd_thank_you_lock'.$context['ThankYouLockStatus'], 'image' => 'thank_you_lock'.$context['ThankYouLockStatus'].'.gif', 'lang' => true, 'custom' => '', 'url' => $scripturl . '?action=thankyoulock;topic=' . $context['current_topic'] . '.0'),
			'remove_thank_you' => array('test' => 'thank_you_delete', 'text' => 'd_thank_you_remove', 'image' => 'thank_you_delete.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['d_thank_you_remove_warn'] . '\');"', 'url' => $scripturl . '?action=thankyouremove;topic=' . $context['current_topic'] . '.0'),
		);
</add before>


<edit file>
$themedir/ManageBoards.template.php
</edit file>

<search for>
								<td valign="top" align="right">
									<input type="checkbox" name="count" ', $context['board']['count_posts'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';
</search for>

<replace>
								<td valign="top" align="right">
									<input type="checkbox" name="count" ', $context['board']['count_posts'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';

	// Here is the Thank You Option for the enable of the Thank you in this board!
	echo '
							<tr>
								<td>
									<b>', $txt['mboards_thank_you_topics_enable'], '</b><br />
									', $txt['mboards_thank_you_topics_enable_desc'], '<br /><br />
								</td>
								<td valign="top" align="right">
									<input type="checkbox" name="thank_you_topics_enable" ', $context['board']['thank_you_topics_enable'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';
	// Here is the New Thank You Option for the Board Premissions
	echo '
							<tr>
								<td>
									<b>', $txt['mboards_thank_you_automatic'], '</b><br />
									', $txt['mboards_thank_you_automatic_desc'], '<br /><br />
								</td>
								<td valign="top" align="right">
									<input type="checkbox" name="thank_you" ', $context['board']['thank_you_automatic'] ? ' checked="checked"' : '', ' class="check" />
								</td>
							</tr>';
</replace>

<edit file>
$themedir/Post.template.php
</edit file>

<search for>
													<tr>
														<td class="smalltext"><label for="check_smileys"><input type="checkbox" name="ns" id="check_smileys"', $context['use_smileys'] ? '' : ' checked="checked"', ' value="NS" class="check" /> ', $txt[277], '</label></td>', '
														<td class="smalltext">', $context['can_move'] ? '<input type="hidden" name="move" value="0" /><label for="check_move"><input type="checkbox" name="move" id="check_move" value="1" class="check" /> ' . $txt['move_after2'] . '</label>' : '', '</td>
													</tr>', $context['can_announce'] && $context['is_first_post'] ? '
													<tr>
														<td class="smalltext"><label for="check_announce"><input type="checkbox" name="announce_topic" id="check_announce" value="1" class="check" /> ' . $txt['announce_topic'] . '</label></td>
														<td class="smalltext"></td>
													</tr>' : '', '
</search for>

<add after>
													', $context['can_Thank_you'] && empty($context['isThank_You']) ? '
													<tr>
														<td class="smalltext"><label for="check_thank_you"><input type="checkbox" name="add_thank_you" id="add_thank_you"' . ($context['add_thank_you'] || $context['thank_you_automatic'] ? ' checked="checked"' : '') . ' value="1" class="check" /> '.$txt['thank_you_after2'].'</label></td>
														<td class="smalltext"></td>
													</tr>' : '', '
</add after>